Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Interface QueryTokens

    public interface QueryTokens

This class contains common tokens for the query implementations.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `ALL` Parser token.
`static java.lang.String` | `AND` Parser token.
`static java.lang.String` | `ANY` Parser token.
`static java.lang.String` | `AT` Parser token.
`static java.lang.String` | `CASE` Parser token.
`static java.lang.String` | `COLINFO` Position info.
`static java.lang.String` | `COMMENT` Parser token.
`static java.lang.String` | `CONTENT` Parser token.
`static java.lang.String` | `DBLCOLON` Parser token.
`static java.lang.String` | `DEFAULT` Parser token.
`static java.lang.String` | `DIACRITICS` Parser token.
`static java.lang.String` | `DIFFERENT` Parser token.
`static java.lang.String` | `DISTANCE` Parser token.
`static byte[]` | `EN` Default language.
`static java.lang.String` | `END` Parser token.
`static java.lang.String` | `ENTIRE` Parser token.
`static java.lang.String` | `EXACTLY` Parser token.
`static java.lang.String` | `EXCEPT` Parser token.
`static java.lang.String` | `FILEINFO` Position info.
`static java.lang.String` | `FOUND` Parsing exception.
`static java.lang.String` | `FROM` Parser token.
`static java.lang.String` | `FTAND` Parser token.
`static java.lang.String` | `FTCONTAINS` Parser token.
`static java.lang.String` | `FTNOT` Parser token.
`static java.lang.String` | `FTOR` Parser token.
`static java.lang.String` | `FUZZY` Parser token.
`static java.lang.String` | `IN` Parser token.
`static java.lang.String` | `INSENSITIVE` Parser token.
`static java.lang.String` | `INVENTITY` Parsing exception.
`static java.lang.String` | `LANGUAGE` Parser token.
`static java.lang.String` | `LEAST` Parser token.
`static java.lang.String` | `LEVELS` Parser token.
`static java.lang.String` | `LINEINFO` Position info.
`static java.lang.String` | `LOWERCASE` Parser token.
`static java.lang.String` | `MOST` Parser token.
`static java.lang.String` | `NODE` Parser token.
`static java.lang.String` | `NOT` Parser token.
`static java.lang.String` | `OCCURS` Parser token.
`static java.lang.String` | `OR` Parser token.
`static java.lang.String` | `ORDERED` Parser token.
`static java.lang.String` | `PARAGRAPH` Parser token.
`static java.lang.String` | `PARAGRAPHS` Parser token.
`static java.lang.String` | `PHRASE` Parser token.
`static java.lang.String` | `PI` Parser token.
`static java.lang.String` | `POSFILEINFO` Position info.
`static java.lang.String` | `POSINFO` Position info.
`static java.lang.String` | `QUOTE` Parser token.
`static java.lang.String` | `RELATIONSHIP` Parser token.
`static java.lang.String` | `SAME` Parser token.
`static java.lang.String` | `SENSITIVE` Parser token.
`static java.lang.String` | `SENTENCE` Parser token.
`static java.lang.String` | `SENTENCES` Parser token.
`static java.lang.String` | `SKIP` Skip flag for the syntax highlighter.
`static java.lang.String` | `START` Parser token.
`static java.lang.String` | `STEMMING` Parser token.
`static java.lang.String` | `STOP` Parser token.
`static java.lang.String` | `STOPPED` Position info.
`static java.lang.String` | `TEXT` Parser token.
`static java.lang.String` | `THESAURUS` Parser token.
`static java.lang.String` | `TIMES` Parser token.
`static java.lang.String` | `TO` Parser token.
`static java.lang.String` | `UNENTITY` Parsing exception.
`static java.lang.String` | `UNION` Parser token.
`static java.lang.String` | `UPPERCASE` Parser token.
`static java.lang.String` | `WILDCARDS` Parser token.
`static java.lang.String` | `WINDOW` Parser token.
`static java.lang.String` | `WITH` Parser token.
`static java.lang.String` | `WITHOUT` Parser token.
`static java.lang.String` | `WORD` Parser token.
`static java.lang.String` | `WORDS` Parser token.

Field Detail

### ALL

    static final java.lang.String ALL

  Parser token.

  See Also:
    Constant Field Values

### AND

    static final java.lang.String AND

  Parser token.

  See Also:
    Constant Field Values

### ANY

    static final java.lang.String ANY

  Parser token.

  See Also:
    Constant Field Values

### AT

    static final java.lang.String AT

  Parser token.

  See Also:
    Constant Field Values

### CASE

    static final java.lang.String CASE

  Parser token.

  See Also:
    Constant Field Values

### COMMENT

    static final java.lang.String COMMENT

  Parser token.

  See Also:
    Constant Field Values

### CONTENT

    static final java.lang.String CONTENT

  Parser token.

  See Also:
    Constant Field Values

### DEFAULT

    static final java.lang.String DEFAULT

  Parser token.

  See Also:
    Constant Field Values

### DIACRITICS

    static final java.lang.String DIACRITICS

  Parser token.

  See Also:
    Constant Field Values

### DIFFERENT

    static final java.lang.String DIFFERENT

  Parser token.

  See Also:
    Constant Field Values

### DISTANCE

    static final java.lang.String DISTANCE

  Parser token.

  See Also:
    Constant Field Values

### END

    static final java.lang.String END

  Parser token.

  See Also:
    Constant Field Values

### ENTIRE

    static final java.lang.String ENTIRE

  Parser token.

  See Also:
    Constant Field Values

### EXACTLY

    static final java.lang.String EXACTLY

  Parser token.

  See Also:
    Constant Field Values

### EXCEPT

    static final java.lang.String EXCEPT

  Parser token.

  See Also:
    Constant Field Values

### FROM

    static final java.lang.String FROM

  Parser token.

  See Also:
    Constant Field Values

### FTAND

    static final java.lang.String FTAND

  Parser token.

  See Also:
    Constant Field Values

### FTCONTAINS

    static final java.lang.String FTCONTAINS

  Parser token.

  See Also:
    Constant Field Values

### FTNOT

    static final java.lang.String FTNOT

  Parser token.

  See Also:
    Constant Field Values

### FTOR

    static final java.lang.String FTOR

  Parser token.

  See Also:
    Constant Field Values

### FUZZY

    static final java.lang.String FUZZY

  Parser token.

  See Also:
    Constant Field Values

### IN

    static final java.lang.String IN

  Parser token.

  See Also:
    Constant Field Values

### INSENSITIVE

    static final java.lang.String INSENSITIVE

  Parser token.

  See Also:
    Constant Field Values

### LANGUAGE

    static final java.lang.String LANGUAGE

  Parser token.

  See Also:
    Constant Field Values

### LEAST

    static final java.lang.String LEAST

  Parser token.

  See Also:
    Constant Field Values

### LEVELS

    static final java.lang.String LEVELS

  Parser token.

  See Also:
    Constant Field Values

### LOWERCASE

    static final java.lang.String LOWERCASE

  Parser token.

  See Also:
    Constant Field Values

### MOST

    static final java.lang.String MOST

  Parser token.

  See Also:
    Constant Field Values

### NODE

    static final java.lang.String NODE

  Parser token.

  See Also:
    Constant Field Values

### NOT

    static final java.lang.String NOT

  Parser token.

  See Also:
    Constant Field Values

### OCCURS

    static final java.lang.String OCCURS

  Parser token.

  See Also:
    Constant Field Values

### OR

    static final java.lang.String OR

  Parser token.

  See Also:
    Constant Field Values

### ORDERED

    static final java.lang.String ORDERED

  Parser token.

  See Also:
    Constant Field Values

### PARAGRAPH

    static final java.lang.String PARAGRAPH

  Parser token.

  See Also:
    Constant Field Values

### PARAGRAPHS

    static final java.lang.String PARAGRAPHS

  Parser token.

  See Also:
    Constant Field Values

### PHRASE

    static final java.lang.String PHRASE

  Parser token.

  See Also:
    Constant Field Values

### PI

    static final java.lang.String PI

  Parser token.

  See Also:
    Constant Field Values

### RELATIONSHIP

    static final java.lang.String RELATIONSHIP

  Parser token.

  See Also:
    Constant Field Values

### SAME

    static final java.lang.String SAME

  Parser token.

  See Also:
    Constant Field Values

### SENSITIVE

    static final java.lang.String SENSITIVE

  Parser token.

  See Also:
    Constant Field Values

### SENTENCE

    static final java.lang.String SENTENCE

  Parser token.

  See Also:
    Constant Field Values

### SENTENCES

    static final java.lang.String SENTENCES

  Parser token.

  See Also:
    Constant Field Values

### START

    static final java.lang.String START

  Parser token.

  See Also:
    Constant Field Values

### STEMMING

    static final java.lang.String STEMMING

  Parser token.

  See Also:
    Constant Field Values

### STOP

    static final java.lang.String STOP

  Parser token.

  See Also:
    Constant Field Values

### TIMES

    static final java.lang.String TIMES

  Parser token.

  See Also:
    Constant Field Values

### TEXT

    static final java.lang.String TEXT

  Parser token.

  See Also:
    Constant Field Values

### THESAURUS

    static final java.lang.String THESAURUS

  Parser token.

  See Also:
    Constant Field Values

### TO

    static final java.lang.String TO

  Parser token.

  See Also:
    Constant Field Values

### UNION

    static final java.lang.String UNION

  Parser token.

  See Also:
    Constant Field Values

### UPPERCASE

    static final java.lang.String UPPERCASE

  Parser token.

  See Also:
    Constant Field Values

### WILDCARDS

    static final java.lang.String WILDCARDS

  Parser token.

  See Also:
    Constant Field Values

### WINDOW

    static final java.lang.String WINDOW

  Parser token.

  See Also:
    Constant Field Values

### WITH

    static final java.lang.String WITH

  Parser token.

  See Also:
    Constant Field Values

### WITHOUT

    static final java.lang.String WITHOUT

  Parser token.

  See Also:
    Constant Field Values

### WORD

    static final java.lang.String WORD

  Parser token.

  See Also:
    Constant Field Values

### WORDS

    static final java.lang.String WORDS

  Parser token.

  See Also:
    Constant Field Values

### SKIP

    static final java.lang.String SKIP

  Skip flag for the syntax highlighter.

### DBLCOLON

    static final java.lang.String DBLCOLON

  Parser token.

  See Also:
    Constant Field Values

### QUOTE

    static final java.lang.String QUOTE

  Parser token.

  See Also:
    Constant Field Values

### EN

    static final byte[] EN

  Default language.

### STOPPED

    static final java.lang.String STOPPED

  Position info.

  See Also:
    Constant Field Values

### POSINFO

    static final java.lang.String POSINFO

  Position info.

### POSFILEINFO

    static final java.lang.String POSFILEINFO

  Position info.

### LINEINFO

    static final java.lang.String LINEINFO

  Position info.

  See Also:
    Constant Field Values

### COLINFO

    static final java.lang.String COLINFO

  Position info.

  See Also:
    Constant Field Values

### FILEINFO

    static final java.lang.String FILEINFO

  Position info.

  See Also:
    Constant Field Values

### FOUND

    static final java.lang.String FOUND

  Parsing exception.

  See Also:
    Constant Field Values

### UNENTITY

    static final java.lang.String UNENTITY

  Parsing exception.

  See Also:
    Constant Field Values

### INVENTITY

    static final java.lang.String INVENTITY

  Parsing exception.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD